Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCFunction

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCFunction

public class RPCFunction
extends java.lang.Object

Modela una función de una llamada RPC

Constructor Summary
`RPCFunction()` Constructor vacio
`RPCFunction(java.lang.String newName)` Constructor en base al nombre de la funcion
`RPCFunction(java.lang.String newName, java.util.Map newParams)` Constructor en base nombre de la funcion y los parametros con sus valores

Method Summary
`java.lang.String` | `getJavaScript()` Obtiene el JavaScript que compone la llamada RPC var rpcCall = new RPC("module_name"); var functionToCall = new FunctionElement("function_name"); functionToCall.addParam( new Parameter("param_name","param_type","param_value") ); ....
`java.lang.String` | `getName()` Devuelve el nombre de la funcion
`RPCParameter` | `getParameter(java.lang.String theParamName)` Obtiene un parametro
`java.util.Map` | `getParameters()` Obtiene un conjunto de parametros
`java.lang.Class[]` | `getParameterTypesArray()` Obtiene un array con los tipos de los parametros de una funcion para utilizarlo en la llamada reflection invoke
`java.lang.Object` | `getParameterValue(java.lang.String theParamName)` Obtiene el valor de un parametro (o null si el parametro no existe)
`java.lang.Object[]` | `getParameterValuesArray()` Obtiene un array con los valores de los parametros de una funcion para utilizarlo en la llamada reflection invoke
`java.lang.String` | `getSignature()` Devuelve la signatura de una llamada a funcion
`RPCParameter` | `putParameter(RPCParameter theParam)` Introduce un parametro en la hass
`void` | `setName(java.lang.String theName)` Establece el nombre de la función
`java.lang.String` | `toString()` Devuelve la función en formato cadena
`java.lang.String` | `toXML()` Devuelve la función como XML

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RPCFunction

    public RPCFunction()

  Constructor vacio

### RPCFunction

    public RPCFunction(java.lang.String newName)

  Constructor en base al nombre de la funcion

Parameters:
  `newName` -

### RPCFunction

    public RPCFunction(java.lang.String newName,
                       java.util.Map newParams)

  Constructor en base nombre de la funcion y los parametros con sus valores

Parameters:
  `newName` - El nombre de la funcion
  `newParams` - Un mapa con los parametros nombre:valor

Method Detail

### putParameter

    public RPCParameter putParameter(RPCParameter theParam)

  Introduce un parametro en la hass

  Parameters:
    `theParam` - El valor
  Returns:
    El valor anterior (si ya exisita la clave) o null (sin no existia)

### getParameter

    public RPCParameter getParameter(java.lang.String theParamName)

  Obtiene un parametro

  Parameters:
    `theParamName` - La clave del parametro (el nombre)
  Returns:
    (RPCParameter): El parametro

### getParameterValue

    public java.lang.Object getParameterValue(java.lang.String theParamName)

  Obtiene el valor de un parametro (o null si el parametro no existe)

  Parameters:
    `theParamName` - La clave del parametro (el nombre)
  Returns:
    (Object): El parametro

### getParameters

    public java.util.Map getParameters()

  Obtiene un conjunto de parametros

  Returns:
    Map: Conjunto de entradas Map.Entry con los parameteros

### setName

    public void setName(java.lang.String theName)

  Establece el nombre de la función

  Parameters:
    `theName` - El nombre

### getName

    public java.lang.String getName()

  Devuelve el nombre de la funcion

  Returns:
    el nombre

### getParameterTypesArray

    public java.lang.Class[] getParameterTypesArray()

  Obtiene un array con los tipos de los parametros de una funcion para utilizarlo en la llamada reflection invoke

  Returns:
    los tipos de parametro

### getParameterValuesArray

    public java.lang.Object[] getParameterValuesArray()

  Obtiene un array con los valores de los parametros de una funcion para utilizarlo en la llamada reflection invoke

  Returns:
    los valores de los parametros

### getJavaScript

    public java.lang.String getJavaScript()

  Obtiene el JavaScript que compone la llamada RPC var rpcCall = new RPC("module_name"); var functionToCall = new FunctionElement("function_name"); functionToCall.addParam( new Parameter("param_name","param_type","param_value") ); .... rpcCall.addFunction(functionToCall);

  Returns:
    el js

### toXML

    public java.lang.String toXML()

  Devuelve la función como XML

  Returns:
    el xml en formato String

### getSignature

    public java.lang.String getSignature()

  Devuelve la signatura de una llamada a funcion

  Returns:
    la signatura del metodo

### toString

    public java.lang.String toString()

  Devuelve la función en formato cadena

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD